diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 2ca03b77d1..59c079934c 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -127,8 +127,6 @@ (define-module (gnu packages qt)
   #:use-module (ice-9 match)
   #:use-module (srfi srfi-1))
 
-(define %qt-version "5.15.8")
-
 (define-public qite
   (let ((commit "75fb3b6bbd5c6a5a8fc35e08a6efbfb588ed546a")
         (revision "74"))
@@ -332,7 +330,7 @@ (define (qt-url component version)
 (define-public qtbase-5
   (package
     (name "qtbase")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -888,7 +886,7 @@ (define-public qt3d-5
   (package
     (inherit qtbase-5)
     (name "qt3d")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -980,7 +978,7 @@ (define-public qtsvg-5
   (package
     (inherit qtbase-5)
     (name "qtsvg")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1079,7 +1077,7 @@ (define-public qtsvg
 (define-public qtimageformats
   (package (inherit qtsvg-5)
     (name "qtimageformats")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
              (method url-fetch)
              (uri (qt-url name version))
@@ -1106,7 +1104,7 @@ (define-public qtimageformats
 (define-public qtx11extras
   (package (inherit qtsvg-5)
     (name "qtx11extras")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
              (method url-fetch)
              (uri (qt-url name version))
@@ -1172,7 +1170,7 @@ (define-public qxlsx-qt5
 (define-public qtxmlpatterns
   (package (inherit qtsvg-5)
     (name "qtxmlpatterns")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
              (method url-fetch)
              (uri (qt-url name version))
@@ -1201,7 +1199,7 @@ (define-public qtdeclarative-5
   (package
     (inherit qtsvg-5)
     (name "qtdeclarative")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1379,7 +1377,7 @@ (define-public qtconnectivity
   (package
     (inherit qtsvg-5)
     (name "qtconnectivity")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1397,7 +1395,7 @@ (define-public qtconnectivity
 (define-public qtwebsockets-5
   (package (inherit qtsvg-5)
     (name "qtwebsockets")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
              (method url-fetch)
              (uri (qt-url name version))
@@ -1460,7 +1458,7 @@ (define-public qtsensors
   (package
     (inherit qtsvg-5)
     (name "qtsensors")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1489,7 +1487,7 @@ (define-public qtmultimedia-5
   (package
     (inherit qtsvg-5)
     (name "qtmultimedia")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1628,7 +1626,7 @@ (define-public qtwayland-5
   (package
     (inherit qtsvg-5)
     (name "qtwayland")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1728,7 +1726,7 @@ (define-public qtserialport
   (package
     (inherit qtsvg-5)
     (name "qtserialport")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1759,7 +1757,7 @@ (define-public qtserialbus
   (package
     (inherit qtsvg-5)
     (name "qtserialbus")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1786,7 +1784,7 @@ (define-public qtserialbus
 (define-public qtwebchannel-5
   (package (inherit qtsvg-5)
     (name "qtwebchannel")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
              (method url-fetch)
              (uri (qt-url name version))
@@ -1842,7 +1840,7 @@ (define-public qtwebglplugin
   (package
     (inherit qtsvg-5)
     (name "qtwebglplugin")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1871,7 +1869,7 @@ (define-public qtwebview
   (package
     (inherit qtsvg-5)
     (name "qtwebview")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1889,7 +1887,7 @@ (define-public qtlocation
   (package
     (inherit qtsvg-5)
     (name "qtlocation")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -1946,7 +1944,7 @@ (define-public qttools-5
   (package
     (inherit qtsvg-5)
     (name "qttools")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2028,7 +2026,7 @@ (define-public qtscript
   (package
     (inherit qtsvg-5)
     (name "qtscript")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2047,7 +2045,7 @@ (define-public qtquickcontrols-5
   (package
     (inherit qtsvg-5)
     (name "qtquickcontrols")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2067,7 +2065,7 @@ (define-public qtquickcontrols2-5
   (package
     (inherit qtsvg-5)
     (name "qtquickcontrols2")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2094,7 +2092,7 @@ (define-public qtgraphicaleffects
   (package
     (inherit qtsvg-5)
     (name "qtgraphicaleffects")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2117,7 +2115,7 @@ (define-public qtgamepad
   (package
     (inherit qtsvg-5)
     (name "qtgamepad")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2143,7 +2141,7 @@ (define-public qtscxml
   (package
     (inherit qtsvg-5)
     (name "qtscxml")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2201,7 +2199,7 @@ (define-public qtpurchasing
   (package
     (inherit qtsvg-5)
     (name "qtpurchasing")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2217,7 +2215,7 @@ (define-public qtcharts
   (package
     (inherit qtsvg-5)
     (name "qtcharts")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2246,7 +2244,7 @@ (define-public qtdatavis3d
   (package
     (inherit qtsvg-5)
     (name "qtdatavis3d")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2268,7 +2266,7 @@ (define-public qtdatavis3d
 (define-public qtnetworkauth-5
   (package (inherit qtsvg-5)
     (name "qtnetworkauth")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
              (method url-fetch)
              (uri (qt-url name version))
@@ -2341,7 +2339,7 @@ (define-public qtspeech
   (package
     (inherit qtsvg-5)
     (name "qtspeech")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (qt-url name version))
@@ -2449,7 +2447,7 @@ (define-public qtwebengine-5
   (package
     (inherit qtsvg-5)
     (name "qtwebengine")
-    (version %qt-version)
+    (version "5.15.8")
     (source
      (origin
        (method url-fetch)
@@ -3991,7 +3989,7 @@ (define-public qcustomplot
 (define-public python-shiboken-2
   (package
     (name "python-shiboken-2")
-    (version %qt-version)
+    (version "5.15.8")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://download.qt.io/official_releases"